LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Member Functions | List of all members
XAutoStyleFamily Interface Reference

This service contains the collection of automatic style families within the container document. More...

`import"XAutoStyleFamily.idl";`

Inheritance diagram for XAutoStyleFamily:

## Exported Interfaces
interface | com::sun::star::container::XEnumerationAccess

## Public Member Functions
com::sun::star::style::XAutoStyle | insertStyle ([in] com::sun::star::beans::PropertyValues Values)
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This service contains the collection of automatic style families within the container document.

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

## Member Function Documentation

## ◆ insertStyle()

com::sun::star::style::XAutoStyle insertStyle | ( | [in] com::sun::star::beans::PropertyValues | Values | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/style/XAutoStyleFamily.idl